DKBSignDocs

API reference

GETRequires Bearer token

Get a verification proof

/api/verification/proofs/{proof_id}

Self-contained JSON issued at verification time. integrity_seal.proof_hash is the SHA-256 of the canonical result object. 404 PROOF_NOT_FOUND.

Path parameters

FieldTypeDescription
proof_id
Required
stringPath parameter proof_id.

Query parameters

This endpoint has no query parameters.

Request body

This endpoint does not accept a request body.

Responses

StatusMeaning
200Sealed proof
401Missing or invalid Bearer token.

Request

curl
curl -X GET 'https://api.dkbsigns.com/api/verification/proofs/uuid_or_id' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN'

Response 200

json
{
  "proof_schema_version": "1.0",
  "proof_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
  "issued_at": "2026-03-01T10:00:01Z",
  "summary": {
    "verdict": "VALID",
    "signatures_count": 1,
    "signed_by": [
      "Jane Doe"
    ]
  },
  "integrity_seal": {
    "algorithm": "SHA-256",
    "proof_hash": "abc…"
  }
}